html {
  box-sizing: border-box;
}
*,
::after,
::before {
  box-sizing: inherit;
}
body {
  margin: 0;
  font: 400 1rem/1.5 sans-serif;
}
body {
  background: #2c713f;
  overflow-x: hidden;
}
main {
  margin: 0 auto;
  max-width: 634px;
}
header,
footer {
  display: flex;
  align-items: center;
  margin: 0 -8px;
  padding: 0 25px;
  min-height: 3em;
  color: white;
}
header a,
footer a {
  color: #fff;
  font-style: italic;
}
header a:hover,
footer a:hover {
  color: #ddd;
}
header .article_length {
  flex: 1;
  text-align: right;
}
article {
  position: relative;
  margin: 0 -8px;
  padding: 1em 25px;
  border-radius: 8px;
  background: #fff;
  box-shadow: 0 10px 40px #16420b;
  overflow-x: auto;
}
h1,
h2,
h3,
h4,
h5,
h6 {
  margin: 0 0 0.5rem;
}
p,
dl,
ol,
ul {
  margin: 0 0 1rem;
}
pre,
code {
  padding: 2px 5px;
  background: #eee;
}
code {
  padding: 2px 5px;
  background: #eee;
}
pre code {
  padding: 0;
}
hr {
  margin: 1rem -10px;
  border: 1px solid #eee;
}
img {
  max-width: 100%;
}
